/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.lang;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.beanutils.ConvertUtils;
import org.apache.commons.beanutils.converters.DateConverter;

/**
 * 数据类型转换类
 *
 * @author Lucky Yang
 * @see org.apache.commons.beanutils.ConvertUtils
 */
public final class ConvertUtil {

	static  {
		DateConverter dc = new DateConverter();
		dc.setUseLocaleFormat(true);
		dc.setPatterns(new String[] { "yyyy-MM-dd HH:mm:ss","yyyy-MM-dd"  });
		ConvertUtils.register(dc, java.util.Date.class);
	}

	/**
	 * Convert the value to an object of the specified class (if possible).
	 * 
	 * @param <T>
	 * @param o
	 * @param clazz
	 * @return
	 */
	@SuppressWarnings("unchecked")
	public static <T> T convert(Object o, Class<T> clazz){
		return (T)ConvertUtils.convert(o, clazz);
	}

	/**
	 * eg:
	 * arrayOf("1,2,3",",",Integer.class) -> [1,2,3] 
	 * 
	 * @param <T>
	 * @param s
	 * @param regex
	 * @param clazz
	 * @return
	 */
	@SuppressWarnings("unchecked")
	public static <T> T[] arrayOf(String s, String regex, Class<T> clazz){
		String[] array = s.split(regex);
		int length = array.length;
		List<T> rslt = new ArrayList<T>(length);
		
		for(int i=1;i<=length;i++){
			rslt.add(ConvertUtil.convert(array, clazz));
		}
		return (T[])rslt.toArray();
	}
}


