/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.lang.domain;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

/**
 * 登录类
 * 
 *
 * @author Lucky Yang
 */
public class Login implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -3996185709401703891L;
	private String login;

	public Login() {
		super();
	}

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public Login(String login) {
		super();
		this.login = login;
	}

	@Override
	public String toString() {
		return this.login;
	}
	
	@Override
    public boolean equals(Object other) {
    	if (this == other) return true;
    	if (!(other instanceof Login)) return false;
    	
		Login castOther = (Login) other;
        return new EqualsBuilder()
            .append(this.login, castOther.login)
            .isEquals();
    }

	@Override
    public int hashCode() {
        return new HashCodeBuilder()
            .append(this.login)
            .toHashCode();
    }	
}
