/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.lang.domain;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

/**
 * 名称与值
 *
 * @author Lucky Yang
 */
public class NameValue {
	private String name;
	private Object value;

	public NameValue() {
		super();
	}

	public NameValue(String name, Object value) {
		super();
		this.name = name;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}

	@Override
	public boolean equals(Object other) {
    	if (this == other) return true;
    	if (!(other instanceof NameValue)) return false;
    	
    	NameValue castOther = (NameValue) other;
        return new EqualsBuilder()
            .append(this.name, castOther.name)
            .append(this.value, castOther.value)
            .isEquals();
	}

	@Override
	public int hashCode() {
		 return new HashCodeBuilder()
         .append(this.name).append(this.value)
         .toHashCode();
	}
	
	
}
